2017-05-28 10:25 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003880Kali Linux[All Projects] General Bugpublic2017-02-15 08:49
Reporterghost287 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003880: Tools and scripts not found after dist-upgrade
DescriptionHello

I had kali rolling 2016.1 which I just updated with: apt dist-upgrade and there I have a problem: I can no longer access my tools like metasploit, SET, nikto, and many others
I also noticed the disappearance of the icons of all the tools that do not work

Thank you for helping me to correct this problem knowing that I have modified nothing
Additional InformationNo errors during apt dist-upgrade

root@ghost-287:~#echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

root@ghost-287:~#msfconsole
sh: 1: msfdb: not found

I also noticed that when I access the file "Root" it brings me to "Home"
And there is another folder named "home" next to the folder "Root"

During the installation I chose not to separate the folder "home"
Attached Files

-Relationships
+Relationships

-Notes

~0006398

rhertzog (administrator)

Are you sure that the dist-upgrade operation did not remove anything important?

Try "apt install kali-linux-full" for example to ensure that you have the required meta-package.

Please share the logs of your dist-upgrade (/var/log/apt/*.log).

~0006399

ghost287 (reporter)

Here are the log files:

ps: i enter the command: apt install kali-linux-full
it install new packages and i noticed that there are metasploit, nikto ...

it will take sometimes to be downloaded/installed , I will keep you posted

~0006400

ghost287 (reporter)

Resolved, with " apt install kali-linux-full "
thank you very much

~0006404

rhertzog (administrator)

You should always review what "apt-get dist-upgrade" suggests to do... when it removes half your system, you should not proceed...
+Notes

-Issue History
Date Modified Username Field Change
2017-02-14 12:35 ghost287 New Issue
2017-02-14 12:35 ghost287 File Added: bandicam 2017-02-14 13-09-37-096.jpg
2017-02-14 14:58 rhertzog Assigned To => rhertzog
2017-02-14 14:58 rhertzog Status new => feedback
2017-02-14 14:58 rhertzog Note Added: 0006398
2017-02-14 16:27 ghost287 File Added: term.log
2017-02-14 16:27 ghost287 Note Added: 0006399
2017-02-14 16:27 ghost287 Status feedback => assigned
2017-02-14 16:27 ghost287 File Added: history.log
2017-02-14 18:49 ghost287 Note Added: 0006400
2017-02-15 08:49 rhertzog Status assigned => resolved
2017-02-15 08:49 rhertzog Resolution open => fixed
2017-02-15 08:49 rhertzog Note Added: 0006404
+Issue History